Name:		gauche
Version:	0.8.9
Release:	1%{?dist}
Summary:	Scheme script interpreter with multibyte character handling

Group:		Development/Languages
License:	BSD
URL:		http://www.shiro.dreamhost.com/scheme/gauche
Source:		http://download.sourceforge.net/gauche/Gauche-0.8.9.tgz
Patch1:		gauche-arch.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gdbm-devel
BuildRequires:	texinfo
Requires(post):	/sbin/install-info, /sbin/ldconfig
Requires(postun): /sbin/install-info, /sbin/ldconfig


%description
Gauche is a Scheme interpreter conforming Revised^5 Report on
Algorithmic Language Scheme.  It is designed for rapid development of
daily tools like system management and text processing.  It can handle
multibyte character strings natively.


%package devel
Summary:	Development files for Gauche
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for Gauche.


%prep
%setup -q -n Gauche-%{version}
%patch1 -p1


%build
%configure --with-rpath=no --enable-threads=pthreads --enable-multibyte=utf-8
perl -pi -e "s|POSTINSTALL = TARGETLIB=|POSTINSTALL = TARGETLIB=$RPM_BUILD_ROOT/|" src/Makefile
%ifarch i386 i586 i686
LD_LIBRARY_PATH=`pwd`/src make OPTFLAGS="-fomit-frame-pointer"
%else
LD_LIBRARY_PATH=`pwd`/src make
%endif


%install
rm -fr $RPM_BUILD_ROOT
LD_LIBRARY_PATH=`pwd`/src make DESTDIR=$RPM_BUILD_ROOT install-pkg
LD_LIBRARY_PATH=`pwd`/src make DESTDIR=$RPM_BUILD_ROOT install-doc

# correct permissions
chmod -R u+w $RPM_BUILD_ROOT
chmod 0644 examples/grep.scm
chmod 0644 ext/template.*

# for some reason the libraries are not correctly installed
mv src/libgauche.so* $RPM_BUILD_ROOT%{_libdir}

# remove japanese doc
rm -f $RPM_BUILD_ROOT%{_infodir}/gauche-refj.*

touch $RPM_BUILD_ROOT%{_datadir}/gauche/%{version}/lib/slibcat

# this things go into the doc of the devel package
rm -f $RPM_BUILD_ROOT%{_datadir}/gauche/%{version}/template*
rm -f $RPM_BUILD_ROOT%{_datadir}/gauche/%{version}/aclocal*

# make .c files readable for debuginfo
find -name '*.c' | xargs chmod 0644


%check
cd src; LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir} make test


%clean
rm -fr $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/gauche-refe.info %{_infodir}/dir 2>/dev/null || :
/sbin/ldconfig
# creates slib catalog, if possible.
/usr/bin/gosh -u slib -e "(require 'logical)" -e "(exit 0)" > /dev/null 2>&1 || echo


%postun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/gauche-refe.info %{_infodir}/dir 2>/dev/null || :
fi
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/gauche-cesconv
%{_bindir}/gauche-install
%{_bindir}/gauche-package
%{_bindir}/gosh
%{_libdir}/libgauche.so.*
%{_libdir}/gauche
%{_infodir}/*
%{_mandir}/man*/gosh*
%{_datadir}/gauche
%exclude %{_libdir}/gauche/%{version}/include
%ghost %{_datadir}/gauche/%{version}/lib/slibcat
%doc ChangeLog AUTHORS VERSION README NEWS examples COPYING


%files devel
%defattr(-,root,root,-)
%{_bindir}/gauche-config
%{_libdir}/libgauche.so
%{_libdir}/gauche/%{version}/include
%{_datadir}/aclocal/gauche.m4
%{_mandir}/man*/gauche-config*
%doc ext/template.*


%changelog
* Thu Jan 18 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.8.9-1
- new version 0.8.9

* Mon Nov 13 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.8.8-2
- new version 0.8.8

* Thu May  4 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.8.7-5
- added patch for consistent arch directories (gauche-arch.patch)

* Fri Apr 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.8.7-3
- added %%check
- included COPYING file in %%doc

* Thu Apr 27 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.8.7-2
- fixes permissions
- patch to fix jp problem in texinfo file

* Fri Apr 21 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.8.7-1
- new version 0.8.7

* Sun Nov  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.8.6-1
- New Version 0.8.6

* Fri Jul  1 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.8.5-1
- New Version 0.8.5

* Wed Feb 23 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:0.8.3-1
- New Version 0.8.3

* Sat Aug  7 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.8.1-0.fdr.1
- New Version 0.8.1

* Sun May 23 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.8-0.fdr.1
- New Version 0.8

* Fri Mar 19 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.7.4.2-0.fdr.1
- New Version 0.7.4.2

* Fri Mar 19 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.7.4.1-0.fdr.1
- New Version 0.7.4.1

* Sun Nov  9 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:0.7.2-0.fdr.1
- First Fedora release
